Summary: A free client-side implementation of HBCI (German Online Banking)
Name: openhbci
Version: 0.9.17
Release: 1
Source: http://download.sourceforge.net/openhbci/openhbci-%{version}.tar.gz
Group: System Environment/Libraries
License: LGPL
URL: http://openhbci.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
Prereq: /sbin/ldconfig

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.

%package devel
Summary: OpenHBCI development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains openhbci-config and header files for writing and
compiling programs using OpenHBCI.

%prep
%setup -q

%build
export CC=gcc
export CXX=g++

sed "s/shrext/shrext_cmds/g" configure > configure.new
mv -f configure.new configure
chmod 755 configure

%configure --enable-static=no --with-openssl-libs=%{_libdir} \
	--with-plugin-path=%{_libdir}/openhbci/plugins

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name "*.la" -exec rm -f {} \;
sed 's|$dir/lib|$dir/%{_lib}|g' \
   $RPM_BUILD_ROOT/%{_bindir}/openhbci-config > openhbci-config.new
install -m 755 openhbci-config.new $RPM_BUILD_ROOT/%{_bindir}/openhbci-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README TODO COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/openhbci

%files devel
%defattr(-,root,root,0755)
%doc COPYING
%{_bindir}/openhbci-config
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/openhbci.m4


%changelog
* Mon Aug 30 2004 Bill Nottingham <notting@redhat.com> 0.9.17-1
- update to 0.9.17

* Fri Jun 25 2004 Than Ngo <than@redhat.com> 0.9.16-1
- update to 0.9.16
- fix gcc34 build problem

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Bill Nottingham <notting@redhat.com> 0.9.15-1
- update to 0.9.15, fixing plugins (#123909)

* Fri Mar 12 2004 Bill Nottingham <notting@redhat.com> 0.9.14-2
- split off from gnucash, adapt upstream spec
- fix openhbci-config

